Package org.pushingpixels.substance.api.trait

# Interface SubstanceTraitInfo

All Known Implementing Classes:
  `SkinInfo`, `TraitInfoImpl`

public interface SubstanceTraitInfo
Base interface for Substance traits info, like `SkinInfo`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
Returns the class name of the associated trait.
`String`
`getDisplayName()`
Returns the display name of the associated trait.
`boolean`
`isDefault()`
Returns indication whether the associated trait is default.
`void`
`setDefault(boolean isDefault)`
Sets indication whether the associated trait is default.

## Method Details

### getDisplayName

String getDisplayName()
Returns the display name of the associated trait. This method is part of officially supported API.

Returns:
  The display name of the associated trait.

### getClassName

String getClassName()
Returns the class name of the associated trait.

Returns:
  The class name of the associated trait. This method is part of officially supported API.

### isDefault

boolean isDefault()
Returns indication whether the associated trait is default.

Returns:
  `true` if the associated trait is default, `false` otherwise.

### setDefault

void setDefault(boolean isDefault)
Sets indication whether the associated trait is default.

Parameters:
  `isDefault` - New indication whether the associated trait is default.